gtk.HSeparator
Prev | The gtk Class Reference | Next

## gtk.HSeparator

gtk.HSeparator — a horizontal separator.

## Synopsis

    class gtk.HSeparator(gtk.Separator):
        gtk.HSeparator()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Separator
            +-- gtk.HSeparator

## Implemented Interfaces

`gtk.HSeparator` implements `gtk.Buildable`

## gtk.HSeparator Properties

gtk.Object Properties

gtk.Widget Properties

## gtk.HSeparator Style Properties

gtk.Widget Style Properties

## gtk.HSeparator Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

## Description

The `gtk.HSeparator` widget is a horizontal separator, used to visibly separate the widgets within a window. It displays a horizontal line with a shadow to make it appear sunken into the interface.

### Note

The `gtk.HSeparator` widget is not used as a separator within menus. To create a separator in a menu create an empty `gtk.SeparatorMenuItem` widget and add it to the menu with `gtk.MenuShell.append`().

## Constructor

        gtk.HSeparator()

Returns : | a new horizontal separator widget

Creates a new `gtk.HSeparator` widget.

Prev | Up | Next
gtk.HScrollbar | Home | gtk.IconFactory